cc=~/Downloads/jdk-11.0.2/bin/javac
fxlib=--module-path /home/shockrah/Downloads/javafx-sdk-11.0.2/lib
ctrl=--add-modules javafx.controls

env=~/Downloads/jdk-11.0.2/bin/java
cfile="adsf"

default: %.java
	# takes a java file as entry to build
	$(cc) $(fxlib) $< $(ctr)

# ouchie
run:
	$(env) $(fxlib) $(ctrl) $(cfile)
